EFIDP(8)

NAME
efidp - UEFI Device Path manipulation

SYNOPSIS
efidp [-fp] [--parse] [--format]

DESCRIPTION
This program converts “Unified Extensible Firmware Interface” (UEFI) Device Paths, as defined in the UEFI standard, to and from binary form. Binary and textual forms are defined in Chapter 9 of the UEFI Specification.

-f --format
    Formats a binary UEFI Device Path into its canonical UTF-8 textual form. A binary Device Path can be no longer than 65536 bytes. The textual form must fit into 65536 bytes. Multiple binary device paths may be specified.

-p --parse
    Parses a UEFI Device Path UTF-8 specification and outputs the binary Device Path form. Only one device path is parsed, even if there are multiple present in the input. Leading white space is ignored. The resulting binary Device Path can be no longer than 65536 bytes. Multiple lines may be specified. Each one will be translated.

-e ---to-efi
    Translate a Unix file path to an EFI Device Path. The output is the textual representation of the EFI Device Path.

-u ---to-unix
    Translate an EFI device path to a Unix file path. The input is the textual representation of the EFI Device Path.

SEE ALSO
Appendix A of the UEFI specification has the format for GUIDs. All GUIDs “Globally Unique Identifiers” have the format described in RFC 4122.

The Unified Extensible Firmware Interface Specification is available from www.uefi.org.

HISTORY
The efidp utility first appeared in FreeBSD 11.1.